#
# spec file for package boo
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           boo
Version:        0.9.3.3457
Release:        23.1
%define _version 2_0_9_3
%define _version_short 0.9.3
License:        MIT
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        boo-%{version}.tar.bz2
Patch1:         boo-pkgconfig_path_fix.patch
Group:          Development/Languages/Other
Summary:        A CLI Scripting Language
BuildArch:      noarch
Url:            http://boo.codehaus.org/Home
BuildRequires:  mono-devel
BuildRequires:  gtksourceview18-devel
BuildRequires:  shared-mime-info
Requires:       %{name}-%{_version} = %{version}
# gtksourceview is required so that we can put the sourceview lang definitions
# in the right location
# On older versions of suse, this was defined as /opt/gnome... make it cross distro
%define gtksourceview_prefix %(pkg-config --variable=prefix gtksourceview-1.0)
%define mime_info_prefix %(pkg-config --variable=prefix shared-mime-info)

%description
Boo is a new object oriented statically typed programming language for
the Common Language Infrastructure with a python inspired syntax and a
special focus on language and compiler extensibility.

%package devel
License:        MIT
Summary:        A CLI Scripting Language
Group:          Development/Languages/Other
Requires:       boo = %{version}

%description devel
Boo is a new object-oriented statically-typed programming language for
the common language infrastructure with a Python-inspired syntax and a
special focus on language and compiler extensibility.

%package 2_0_9_3
License:        MIT
Summary:        A CLI Scripting Language
Group:          Development/Languages/Other

%description %{_version}
Boo is a new object-oriented statically-typed programming language for
the common language infrastructure with a Python-inspired syntax and a
special focus on language and compiler extensibility.

%prep
%setup -q
%patch1

%build
%configure --libdir=%{_prefix}/lib
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
mv %{buildroot}%{_prefix}/lib/pkgconfig %{buildroot}%{_datadir}/
# boo.lang is provided by gtksourceview
rm -rf %{buildroot}%{_datadir}/gtksourceview-1.0

%files
%defattr(-, root, root)
%{_prefix}/lib/mono/boo

%files %{_version}
%defattr(-, root, root)
%dir %{_prefix}/lib/mono/gac/Boo.Lang*
%{_prefix}/lib/mono/gac/Boo.Lang*/2.%{_version_short}*

%files devel
%defattr(-, root, root)
%{_bindir}/boo*
%{_datadir}/pkgconfig/boo*.pc
%{_prefix}/lib/boo
%{_datadir}/mime/packages/boo-mime-info.xml

%post
if test -x usr/bin/update-mime-database ; then
  usr/bin/update-mime-database usr/share/mime >/dev/null
fi

%postun
if test -x usr/bin/update-mime-database ; then
  usr/bin/update-mime-database usr/share/mime >/dev/null
fi

%changelog
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel build
* Tue Jan 26 2010 ajorgensen@novell.com
- Update to 0.9.3.3457
  * Bugs
    [BOO-1034] - compiler error referencing base class members of a generic subclass of a generic class
    [BOO-1064] - Overriden explicit interface implementation crashes compiler
    [BOO-1065] - Duplicate explicit interfaces cause emit error
    [BOO-1071] - List comprehension cannot be used inside array constructor
    [BOO-1081] - Subclassing containing class causes compiler stack overflow
    [BOO-1082] - Abstract subclassing turns methods public
    [BOO-1165] - Callable cannot declare variable parameters
    [BOO-1170] - for/or bug in generator
    [BOO-1191] - booish crashes after /help, /globals, /load and /save
    [BOO-1194] - Any autocompletion on an array crashes Boo interpreter
    [BOO-1211] - No type safety at all if LHS or RHS of expression is an interface
    [BOO-1240] - Compiler falsely considers any member of the same name to fulfill an external interface.
    [BOO-1241] - Not all overloads of external implementations searched
    [BOO-1248] - Most of the links on the Boo home page are dead
    [BOO-1251] - Overflowing calculations with constants are compiled to invalid code
    [BOO-1252] - System.InvalidOperationException with void/bool comparison
    [BOO-1253] - System.InvalidOperationException with void function in hash literal
    [BOO-1254] - Boo compiler fails on certain file names
    [BOO-1255] - Boo compiler fails on empty files
    [BOO-1256] - Class not found after importing two similar namespaces
    [BOO-1259] - inheritance generic class with abstract parameter causes error
    [BOO-1261] - cross-namespace inheritance from an interface fails
    [BOO-1262] - The white space agnostic parser is not preserving file names
    [BOO-1266] - Parser fails on literal -9223372036854775808L (long.MinValue)
  * Improvement
    [BOO-903] - Allow 'of' to be omitted in type references when [] are used
    [BOO-1236] - Missing PatternMatching patterns, plus regex pattern
    [BOO-1260] - Language change: remove 'continue' and 'break' special meaning from 'or' blocks
* Tue Mar 31 2009 ajorgensen@novell.com
- Update to 0.9.0.3203
  * http://dist.codehaus.org/boo/distributions/ChangeLog-v0.9.html
* Tue Aug 12 2008 ajorgensen@novell.com
- Split into boo and boo-devel so as to not require nant
* Tue Jun 17 2008 wberrier@suse.de
- Update to 0.8.2.2960
  - (almost) complete nullable type support
  - shorthandsfor nullable types (T?) and enumerables
  (T* instead of IEnumerable[of T])
  - improved booish behavior with nicer colors
  (and it should work inside emacs now )
  - 'else' block for 'for' and 'while loops
  - fixes and improvement related to generic methods
  (overloads and interface declarations)
* Wed Feb 27 2008 wberrier@suse.de
- Update to 0.8.1.2865
  - a simpler way for writing macros
  - support for nested functions
  - generic methods overloading works
  - support for CLR 3.5 extension methods (moreover boo extension methods)
  - compile-time conditionals through ConditionalAttribute and the new -define SYMBOL booc option
  - AttributeUsageAttribute is now supported and enforced
  - a better interactive interpreter (previously known as booish2)
  - warnings about unused private members, unused namespaces, unreachable code
  - new error messages, including suggestions for misspelled members or types
  - exception filters, exception fault handlers
  - for loop IDisposeable.Dispose integration
* Fri Nov  2 2007 wberrier@suse.de
- Update to 0.8.0.2730
  - Fixed Bugs
  * [BOO-836] - WSA Boo "end" keyword required for some blocks and not others
  * [BOO-869] - wrong type inferred for null field initializer
  * [BOO-871] - booish fails to display dictionary that contains DynamicMethod
  * [BOO-874] - compiler doesn't generate debug information for duck typed call sites
  * [BOO-881] - compiler doesn't check for duplicate parameter names in constructor definitions
  * [BOO-883] - Internal error using regular expression in generator
  * [BOO-884] - compiler should prefer data preserving overloads
  * [BOO-885] - parser doesnt allow complex expressions inside closures
  * [BOO-887] - Wrong stack trace information for exception during assignment inside generator method
  * [BOO-891] - Boo.NAnt.Tasks is using an obsolete method (Assembly.LoadWithPartialName)
  * [BOO-893] - QuackInvoke intercepts calls to super() in class CTOR
  * [BOO-894] - Type inference failure for property used in object initializer
  * [BOO-898] - [MetaProgramming] Splicing operator is not recognized inside string expression interpolation
  - Improvements
  * [BOO-870] - parser should not require the 'L' suffix to parse long literals
  * [BOO-872] - better name for closure methods
  * [BOO-873] - extension methods should be preferred over non accessible members
  * [BOO-888] - Delay Sign parameter is ignored
  * [BOO-889] - BooPrinterVistor makes ugly elif chains
  * [BOO-892] - Test Cases use obsolete interfaces and throw warnings during compilation
  * [BOO-895] - [MetaProgramming] splicing for member references
  * [BOO-896] - [MetaProgramming] splicing for class and field names
  * [BOO-897] - [MetaProgramming] splicing for method names
  * [BOO-899] - bool equality comparisons are emitting unnecessary RuntimeServices.EqualityOperator calls
  * [BOO-900] - unreserve 'otherwise' keyword so it can be used by the 'match' macro
  * [BOO-901] - unreserve 'given' and 'when' keywords so they can be implemented as macros
  - New Features
  * [BOO-136] - generic given statement
  * [BOO-218] - duck typing - unary operators
* Wed Oct 10 2007 wberrier@suse.de
- Don't use -<package> notation in BuildRequires anymore.  Normal
  sles9 doesn't like it (obs must intervene here).
* Fri Sep 28 2007 wberrier@suse.de
- Update to 0.7.9.2659
  - boo-pkgconfig_path_fix.patch: fix broken paths in .pc file
* Thu Aug 16 2007 wberrier@suse.de
- Depend on gtksourceview18
* Fri Jul  6 2007 wberrier@novell.com
- Filelist changes: List each assembly dir instead of having this
  package provide /usr/lib/mono/gac
- disable vs2005 project file updates (new in 0.7.8)
- Update to 0.7.8
  - Fixed Bugs:
  * [BOO-603] - GetSlice doesn't work with non-indexed properties
    that return indexable object
  * [BOO-677] - variable argument lists prevent callables from
    being invoked via dictionaries
  * [BOO-724] - Private fields conflict with same named fields in
    child class
  * [BOO-819] - Disallow comparing static ref to function with
    not static ref
  * [BOO-825] - generators compiled with .net 1.1 boo binaries
    dont run with the runtime compiled for .net 2.0
  * [BOO-826] - Internal compiler error when using a generic
    method invocation as the target of a member reference expression
  * [BOO-827] - InvalidCastException when calling overloaded
    function with duck argument
  * [BOO-828] - slice in duck typing mode doesn't work with a
    non indexed property
  * [BOO-829] - Overload resolution and argument conversion is
    not the same in duck typing mode
  * [BOO-831] - CompilerGeneratedExtensions.BeginInvoke is
    ambiguous
  * [BOO-833] - Compiler thinks a property is write-only when
    only the setter is overriden
  - Improvements:
  * [BOO-44] - add pkg-config support to booc and boo nant task
  * [BOO-835] - DSL-friendly method syntax
* Wed Apr 11 2007 wberrier@novell.com
- Add mono dep/req for older distros
* Fri Mar 30 2007 wberrier@novell.com
- Adapt for build service
  - do a crazy hack for sles9 since that platform doesn't have
  shared-mime-info
  - add fedora hack to use /tmp for .wapi
  - use distro specific prefixes for mime-info and gtksourceview
* Tue Jan 30 2007 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Thu Jan 11 2007 wberrier@suse.de
- Also remove /usr/share/gtksourceview* to fix build
* Wed Jan  3 2007 wberrier@suse.de
- Add update-mime-database to post[un] for bnc #225743
  (fix from Andreas Hanke)
* Tue Oct 10 2006 wberrier@suse.de
- Remove boo.lang since it's now in gtksourceview (bnc #209516)
* Tue Aug  1 2006 wberrier@suse.de
- Update to 0.7.6.2237
- Switch to building from original source tarball now that we have
  nant, opposed to repackaging prepackaged binary dist
- minor filesystem changes
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Oct 13 2005 wberrier@suse.de
- Update to 0.7.0 version
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Fri Sep  9 2005 aj@suse.de
- Update check-build.sh.
* Sat Aug 27 2005 aj@suse.de
- Add check-build script.
* Fri Aug 12 2005 ro@suse.de
- fix pkgconfig dir for noarch package
* Thu Aug  4 2005 wberrier@suse.de
- Initial package
